# classes/phing/types/FileSet.php

Moved out of MatchingTask to make it a standalone object that could be referenced (by scripts for example).

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Arnout J. Kuiper <ajkuiper@wxs.nl> (Ant)
author
  Stefano Mazzocchi <stefano@apache.org> (Ant)
author
  Sam Ruby <rubys@us.ibm.com> (Ant)
author
  Jon S. Stevens <jon@clearink.com> (Ant)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author
  Magesh Umasankar (Ant)
package
  phing.types

## \FileSet
jump to top

Moved out of MatchingTask to make it a standalone object that could be referenced (by scripts for example).

TODO: - merge this with patternsets: FileSet extends PatternSet !!! requires additional mods to the parsing algo [HL] .... not sure if that really makes so much sense. I think that perhaps they should use common utility class if there really is that much shared functionality

Extends from
  \AbstractFileSet
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Arnout J. Kuiper <ajkuiper@wxs.nl> (Ant)
author
  Stefano Mazzocchi <stefano@apache.org> (Ant)
author
  Sam Ruby <rubys@us.ibm.com> (Ant)
author
  Jon S. Stevens <jon@clearink.com> (Ant)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author
  Magesh Umasankar (Ant)
package
  phing.types
version
  $Revision: 744 $ $Date: 2010-03-09 11:08:31 +0100 (Tue, 09 Mar 2010) $

### Methods

`__clone( ) :`
Return a FileSet that has the same basedir and same patternsets as this one.
`__construct( $fileset = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$fileset |  |

Documentation was generated by DocBlox 0.13.1.